Package org.apache.sling.feature.maven.mojos.apis.spi

# Interface Processor

All Known Implementing Classes:
  `ClassFileProcessor`

public interface Processor
A processor can be used to process the binaries or sources before they get archived.

## Method Summary

Modifier and Type
Method
Description
`default String`
`getName()`
Unique name identifying the processor
`void`
`processBinaries(ProcessorContext ctx, List<Source> sources)`
Process the binaries
`void`
`processSources(ProcessorContext ctx, List<Source> sources)`
Process the sources

## Method Details

### processSources

void processSources(ProcessorContext ctx, List<Source> sources)
Process the sources

Parameters:
  `ctx` - The context
  `sources` - The list of sources

### processBinaries

void processBinaries(ProcessorContext ctx, List<Source> sources)
Process the binaries

Parameters:
  `ctx` - The context
  `sources` - The list of sources

### getName

default String getName()
Unique name identifying the processor

Returns:
  The name